Skip to Content
Sandbox

Create a sandbox

Create a 24-hour test organization with a `wc_test_` key and a sample event. No sign-up. Limited per IP (429 `sandbox_limit`).

POST
/v1/sandbox

Create a 24-hour test organization with a wc_test_ key and a sample event. No sign-up. Limited per IP (429 sandbox_limit).

Response Body

The sandbox was created.

application/json
  1. response

A throwaway organization in test mode with a key and a sample event.

organization*
api_key*string

A wc_test_ secret key for the sandbox. Shown once.

expires_at*string

The sandbox and everything in it is deleted 24 hours after creation.

Formatdate-time
event*
Example Request
curl -X POST 'https://api.whocoming.com/v1/sandbox'
Example Response
{  "organization": {    "id": "string",    "name": "string",    "slug": "string"  },  "api_key": "string",  "expires_at": "2019-08-24T14:15:22Z",  "event": {    "id": "string",    "mode": "live",    "series_id": "string",    "slug": "string",    "title": "string",    "description": "string",    "starts_at": "2019-08-24T14:15:22Z",    "ends_at": "2019-08-24T14:15:22Z",    "timezone": "string",    "location_name": "string",    "location_address": "string",    "online_url": "string",    "capacity": 0,    "max_guests": 0,    "waitlist_enabled": true,    "visibility": "public",    "status": "draft",    "price_note": "string",    "cover_image_url": "string",    "fields": [      {        "key": "string",        "label": "string",        "type": "text",        "required": true,        "options": [          "string"        ]      }    ],    "counts": {      "going": 0,      "waitlisted": 0,      "spots_left": 0    },    "url": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}